<!--
SPDX-FileCopyrightText: 2024 shadPS4 Emulator Project
SPDX-License-Identifier: GPL-2.0-or-later
-->

# shadPS4

An early PS4 emulator for Windows and Linux written in C++
by shadow , skmp , wheremyfoodat , GPUCode

[Check us on twitter](https://twitter.com/shadps4 "Check us on twitter")

# Status

Early progress , a small amount of ps4 sdk demos and homebrew games working

# Why?

The project started as a fun project. Due to short free time, it will probably take a while since it will be able to run something decent, but I am trying to do regular small commits.

# Build

## Windows

Check building instructions in [windows build](https://github.com/georgemoralis/shadPS4/blob/main/documents/building-windows.md)

## Linux

Check building instructions in [linux build](https://github.com/georgemoralis/shadPS4/blob/main/documents/linux_building.md)

## Build status

|Platform|Build status|
|--------|------------|
|Windows SDL build|[![Windows-sdl](https://github.com/shadps4-emu/shadPS4/actions/workflows/windows.yml/badge.svg)](https://github.com/shadps4-emu/shadPS4/actions/workflows/windows.yml)
|Linux SDL build|[![Linux-sdl](https://github.com/shadps4-emu/shadPS4/actions/workflows/linux.yml/badge.svg)](https://github.com/shadps4-emu/shadPS4/actions/workflows/linux.yml)

To discuss the development of this emulator, please join our Discord server: [![Discord](https://img.shields.io/discord/1080089157554155590)](https://discord.gg/MyZRaBngxA)

# Who are you?

Old emulator fans and devs can recognize me as "shadow". I was the founder and coder for a lot of emulation projects:
* PCSX
* PCSX2
* PCSP
* JPCSP
* arcadeflex
* rpcs3 contributor

# Contribution

I currently accept any contribution, here is a list of some items that may be useful:

* PKG extractor (there was initial work on this, search project history commits).
* Initial GUI with imgui, SDL3 and Vulkan.
* to be filled...

# Documentation

Wiki has some documentation for PS4 PKG format

[PKG PS4 File Format](https://github.com/georgemoralis/shadPS4/wiki/PKG-Information "PKG PS4 File Format")

# Sister Projects
- [Panda3DS](https://github.com/wheremyfoodat/Panda3DS): An multiplatform 3DS emulator from our co-author wheremyfoodat
- [hydra](https://github.com/hydra-emu/hydra): An multisystem , multiplatform emulator (chip-8,GB,NES,N64) from Paris
